# $Revision: 1.2 $, $Date: 2002/08/31 12:21:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	DOMHandler
Summary:	DOMHandler - Implements a call-back interface to DOM
Summary(pl):	DOMHandler - implementacja interfejsu callbackw do DOM
Name:		perl-XML-DOMHandler
Version:	1.0
Release:	2
License:	?
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-XML-LibXML
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module creates a layer on top of DOM that allows you to program
in a "push" style rather than "pull". Once the document has been
parsed and you have a DOM object, you can call on the DOMHandler's
traverse() method to apply a set of call-back routines to all the
nodes in a tree. You supply the routines in a handler package when
initializing the DOMHandler.

%description -l pl
Ten modu tworzy warstw powyej DOM, pozwalajc na programowaniu w
stylu "pchnij" zamiast "cignij". Po przeanalizowaniu dokumentu i
uzyskaniu obiektu DOM, mona wywoa metod DOMHandlera traverse(),
aby zastosowa zestaw callbackw na wszystkich wzach w drzewie.
Funkcje przekazuje si przy inicjalizacji DOMHandlera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-DOMHandler.spec,v $
Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
